<?php
/*
=============================================
Движок: SHCMS Engine
=============================================
Название файла: Errors
=============================================
Official website: http://shcms.ru
=============================================
*/
define('SHCMS', true);
include_once'system/inc/basic_settings.php';
$shcmsengine['title'] = 'Ошибка '.$_GET['errors'].'';

include_once'template/head.php';
$errors = isset ($_GET['errors']) ? trim($_GET['errors']) : '';

/*
--------------------------------------------
При ошибках 400,403,404,405,408,500,503,504
--------------------------------------------
Перекинут на эту страницы
--------------------------------------------
*/
            switch ($errors):
    //Ошибка 400
    case 400: 
        errors('Запрос не может быть обработан из-за синтаксической ошибки.'); 
    break;
	
    //Ошибка 403
    case 403: 
        errors('Сервер отказывает в выполнении вашего запроса.'); 
    break;
	
    //Ошибка 404
    case 404: 
        errors('Запрашиваемая страница не найдена на сервере.'); 
    break;
	
    //Ошибка 405
    case 405: 
        errors('Указанный в запросе метод не допускается для заданного ресурса.'); 
    break;
	
    //Ошибка 408
    case 408: 
        errors('Ваш браузер не отправил информацию на сервер за отведенное время.'); 
    break;
	
    //Ошибка 500
    case 500: 
        errors('Запрос не может быть обработан из-за внутренней ошибки сервера.');
    break;
	
    //Ошибка 502
    case 502: 
        errors('Сервер получил неправильный ответ при попытке передачи запроса.'); 
    break;
	
    //Ошибка 504
    case 504: 
        errors('Вышестоящий сервер не ответил за установленное время.'); 
    break;

            endswitch;



include_once'template/foot.php';
?>